# Generated by go2rpm
%ifnarch %{ix86} %{arm}
%bcond_without check
%endif

# https://github.com/aliyun/alibaba-cloud-sdk-go
%global goipath         github.com/aliyun/alibaba-cloud-sdk-go
Version:                1.61.1453

%gometa

%global common_description %{expand:
Alibaba Cloud SDK for Go allows you to access Alibaba Cloud services such as
Elastic Compute Service (ECS), Server Load Balancer (SLB), and CloudMonitor. You
can access Alibaba Cloud services without the need to handle API related tasks,
such as signing and constructing your requests.}

%global golicenses      LICENSE
%global godocs          docs CONTRIBUTING.md ChangeLog.txt README-CN.md\\\
                        README.md tools/document.md

Name:           %{goname}
Release:        5%{?dist}
Summary:        Alibaba Cloud SDK for Go

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

Patch0:         0001-fix-tests-from-add-headers-commit.patch

BuildRequires:  golang(github.com/jmespath/go-jmespath)
BuildRequires:  golang(github.com/json-iterator/go)
BuildRequires:  golang(github.com/modern-go/reflect2)
BuildRequires:  golang(gopkg.in/ini.v1)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/goji/httpauth)
BuildRequires:  golang(github.com/stretchr/testify/assert)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
# https://github.com/aliyun/alibaba-cloud-sdk-go/pull/553
%patch0 -p1

%install
%gopkginstall

%if %{with check}
%check
# sdk/responses: error messages slightly modified
%gocheck -d integration \
         -d sdk \
         -d sdk/auth/credentials/providers \
         -d sdk/auth/signers \
         -d sdk/responses
%endif

%gopkgfiles

%changelog
* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.61.1453-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.61.1453-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jun 17 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.61.1453-3
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327, CVE-2022-27191,
  CVE-2022-29526, CVE-2022-30629

* Wed Jan 26 2022 Brandon Perkins <bperkins@redhat.com> - 1.61.1453-2
- remove 'unset LDFLAGS' with fix to redhat-rpm-config

* Thu Jan 20 2022 Brandon Perkins <bperkins@redhat.com> - 1.61.1453-1
- Update to 1.61.1453
- Close: rhbz#2030193
- Patch for test breakage caused by upstream commit 591c9a2
  https://github.com/aliyun/alibaba-cloud-sdk-go/pull/553

* Thu Jan 20 2022 Brandon Perkins <bperkins@redhat.com> - 1.61.1369-3
- don't use LDFLAGS='-Wl,-z relro ' from redhat-rpm-config to avoid error:
  "flag provided but not defined: -Wl,-z,relro"

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.61.1369-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Dec 06 2021 Brandon Perkins <bperkins@redhat.com> - 1.61.1369-1
- Update to 1.61.1369
- Close: rhbz#1994826
- Fix upstream license specification
- Close: rhbz#2025849

* Mon Aug 16 2021 Brandon Perkins <bperkins@redhat.com> - 1.61.1232-1
- Update to 1.61.1232
- Close: rhbz#1982854

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.61.1181-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jul 12 2021 Brandon Perkins <bperkins@redhat.com> - 1.61.1181-1
- Update to 1.61.1181
- Close: rhbz#1966276

* Fri May 28 2021 Brandon Perkins <bperkins@redhat.com> - 1.61.1116-1
- Update to 1.61.1116
- Close: rhbz#1860006

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.61.346-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Aug 21 18:54:19 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.61.346-3
- Fix FTBFS

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.61.346-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jul 23 14:36:55 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.61.346-1
- Update to 1.61.346

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.60.348-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sun Jan 26 21:38:31 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.60.348-1
- Update to 1.60.348

* Sun Aug 04 17:07:44 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.60.81-1
- Release 1.60.81 (#1733769)

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.58.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Apr 29 17:21:27 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.58.7-1
- Initial package
